# Class HitsTagAttr

Attribute used when a move hits a `BattlerTagType` for double damage

#### Hierarchy (view full)

- MoveAttr
  - HitsTagAttr

- Defined in src/data/move.ts:4051

#####
Index

### Constructors

constructor

### Properties

doubleDamage
selfTarget
tagType

### Methods

apply
getCondition
getFailedText
getTargetBenefitScore
getUserBenefitScore

## Constructors

### constructor

- new HitsTagAttr(tagType, doubleDamage?): HitsTagAttr

- #### Parameters

  - tagType: BattlerTagType
  - `Optional` doubleDamage: boolean

  #### Returns HitsTagAttr

  Overrides MoveAttr.constructor

  - Defined in src/data/move.ts:4057

## Properties

### doubleDamage

doubleDamage: boolean

Should this move deal double damage against `HitsTagAttr.tagType`?

- Defined in src/data/move.ts:4055

### selfTarget

selfTarget: boolean

Should this `Move` target the user?

Inherited from MoveAttr.selfTarget

- Defined in src/data/move.ts:718

### tagType

tagType: BattlerTagType

The `BattlerTagType` this move hits

- Defined in src/data/move.ts:4053

## Methods

### apply

- apply(user, target, move, args): boolean | Promise<boolean>

- Applies move attributes

  #### Parameters

  - user: default

    `Pokemon` using the move

  - target: default

    `Pokemon` target of the move

  - move: default

    `Move` with this attribute

  - args: any[]

    Set of unique arguments needed by this attribute

  #### Returns boolean | Promise<boolean>

  true if application of the ability succeeds

  #### See

  applyMoveAttrsInternal

  Inherited from MoveAttr.apply

  - Defined in src/data/move.ts:734

### getCondition

- getCondition(): MoveCondition | MoveConditionFunc

- #### Returns MoveCondition | MoveConditionFunc

  the `MoveCondition` or MoveConditionFunc for this `Move`

  Inherited from MoveAttr.getCondition

  - Defined in src/data/move.ts:742

### getFailedText

- getFailedText(user, target, move, cancelled): string

- #### Parameters

  - user: default

    `Pokemon` using the move

  - target: default

    `Pokemon` target of the move

  - move: default

    `Move` with this attribute

  - cancelled: BooleanHolder

    `Utils.BooleanHolder` which stores if the move should fail

  #### Returns string

  the string representing failure of this `Move`

  Inherited from MoveAttr.getFailedText

  - Defined in src/data/move.ts:754

### getTargetBenefitScore

- getTargetBenefitScore(user, target, move): number

- Used by the Enemy AI to rank an attack based on a given target

  #### Parameters

  - user: default
  - target: default
  - move: default

  #### Returns number

  #### See

  `EnemyPokemon.getNextMove`

  Overrides MoveAttr.getTargetBenefitScore

  - Defined in src/data/move.ts:4064

### getUserBenefitScore

- getUserBenefitScore(user, target, move): number

- Used by the Enemy AI to rank an attack based on a given user

  #### Parameters

  - user: default
  - target: default
  - move: default

  #### Returns number

  #### See

  `EnemyPokemon.getNextMove`

  Inherited from MoveAttr.getUserBenefitScore

  - Defined in src/data/move.ts:763